openSUSE Security Update : mupdf (openSUSE-2017-271)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for mupdf fixes the following vulnerabilities :

- CVE-2017-5627: Integer overflow in the mujs
implementation (boo#1022503)

- CVE-2017-5628: Integer overflow in the mujs
implementation (boo#1022504)

- CVE-2017-5896: heap overflow (boo#1023761, boo#1024679)

- NULL pointer dereference in dodrawpage (boo#1023760)

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1022503
https://bugzilla.opensuse.org/show_bug.cgi?id=1022504
https://bugzilla.opensuse.org/show_bug.cgi?id=1023760
https://bugzilla.opensuse.org/show_bug.cgi?id=1023761
https://bugzilla.opensuse.org/show_bug.cgi?id=1024679

Solution :

Update the affected mupdf packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 97283 ()

Bugtraq ID:

CVE ID: CVE-2017-5627
CVE-2017-5628
CVE-2017-5896

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now